@import url('https://fonts.googleapis.com/css2?family=Comfortaa&display=swap');

body {
	font-family: Comfortaa;
	background-color: yellow;
}

button {
	border: 2px solid black;
	border-radius: 6px;
	background-color: #45BD3D;
	height: 45px;
	width: 18%;
	font-size: 115%;
}

.button {
	border: 2px solid black;
	border-radius: 6px;
	background-color: #45BD3D;
	height: 45px;
	width: 18%;
	font-size: 115%;
}

a {
	text-decoration: underline;
	color: #45BD3D;
}

input.text{
	height: 35px;
	width: 20%;
	font-size: 115%;
	border-radius: 11px;
}

.datetime {
	border: 2px solid black;
	border-radius: 6px;
	background-color: #45BD3D;
	height: 45px;
	width: 9px;
	font-size: 115%;
}

h1, h2, h3, h4, h5, h6 {
	color: black;
}

div.post {
    max-width: 30%;
		border: 1px solid #999;
		border-radius: 2px;
		box-shadow: 0px 3px 5px #333;
}

.animate {
  -webkit-animation: animatezoom 0.6s;
  animation: animatezoom 0.6s
}

@-webkit-keyframes animatezoom {
  from {-webkit-transform: scale(0)} 
  to {-webkit-transform: scale(1)}
}
  
@keyframes animatezoom {
  from {transform: scale(0)} 
  to {transform: scale(1)}
}

/* Change styles for span and cancel button on extra small screens */
@media screen and (max-width: 300px) {
  span.psw {
     display: block;
     float: none;
  }
  .cancelbtn {
     width: 100%;
  }
}

.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
  padding-top: 60px;
}

.modal-content {
  background-color: #fefefe;
  margin: 5% auto 15% auto; /* 5% from the top, 15% from the bottom and centered */
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

.title {
  width: 60%;
  height: 70px;
	font-size: 50px;
}

@media screen and (max-width: 1000px) {
	div.post {
    max-width: 100%;
		border: 1px solid #999;
		border-radius: 2px;
		box-shadow: 0px 3px 5px #333;
	}
	textarea.post {
	font-size: 70px;
	width: 90%;
	height: 100px;
	}
	.title {
  width: 60%;
  height: 70px;
	font-size: 50px;
	}
}

textarea.post {
	font-size: 25px;
	width: 90%;
	height: 100px;
}

footer {
	position: fixed;
  left: 0;
  bottom: 0;
  width: 100%;
	height: 100px;
}

img.footer {
	height: 100px;
	width: 100px;
	float: right;
}

.close {
  position: absolute;
  right: 25px;
  top: 0;
  color: #000;
  font-size: 35px;
  font-weight: bold;
}
​
.close:hover,
.close:focus {
  color: red;
  cursor: pointer;
}

.imgcontainer {
  text-align: center;
  margin: 24px 0 12px 0;
  position: relative;
}
​
img.avatar {
  width: 40%;
  border-radius: 50%;
}
​
.container {
  padding: 16px;
}
​
span.psw {
  float: right;
  padding-top: 16px;
}